import QtQuick 2.4
import QtQuick.Controls

Item {
    id: element
    width: 400
    height: 400
    property alias text1: text1
    property alias progressBar: progressBar

    ProgressBar {
        id: progressBar
        y: 189
        value: .5
        // maximumValue: 100
        anchors.right: parent.right
        anchors.rightMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
    }

    Text {
        id: text1
        x: 34
        y: 41
        width: 339
        height: 101
        color: "#e30f0f"
        text: qsTr("Text")
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        font.pixelSize: 30
    }
}


